Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::SCExtrapData Class Reference

SCExtrapData hold the data to be extrapolated needed by SelfConsistentExtrapolation. More...

`#include <scextrap.h>`

Inheritance diagram for sc::SCExtrapData:

[legend]
Collaboration diagram for sc::SCExtrapData:

[legend]
List of all members.

## Public Methods
| SCExtrapData ()
| Construct a new SCExtrapData.
| SCExtrapData (StateIn &)
| Constructor to restore SCExtrapData from a StateIn object.
virtual | ~SCExtrapData ()
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. More...
virtual SCExtrapData * | copy ()=0
| Return a copy of this.
virtual void | zero ()=0
| Set this to zero.
virtual void | accumulate_scaled (double scale, const Ref< SCExtrapData > &)=0
| The passed SCExtrapData is accumulated into this after applying the scaling factor.

## Detailed Description

SCExtrapData hold the data to be extrapolated needed by SelfConsistentExtrapolation.

## Member Function Documentation

void sc::SCExtrapData::save_data_state | ( | StateOut & |  | ) | `[virtual]`

| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data. Reimplemented from sc::SavableState.

The documentation for this class was generated from the following file:

- scextrap.h